# Stuff to be implemented externally :
Source10: kmodtool
%define   kmodtool sh %{SOURCE10}
# End stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.17-1}

%define kmod_name nvidia
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%{!?kvariants: %define kvariants %{?upvar}}


Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Nvidia Display Driver kernel-module
Name: 		%{kmod_name}-kmod
Version: 	1.0.8762
Release: 	1.%(echo %{kverrel} | tr - _)
Group: 		System/Configuration/Hardware
License: 	Distributable
URL:        	http://www.nvidia.com/

#Source is created from these files:
# ftp://download.nvidia.com/XFree86/Linux-x86/1.0-8756/NVIDIA-Linux-x86-1.0-8762-pkg0.run
# ftp://download.nvidia.com/XFree86/Linux-x86_64/1.0-8756/NVIDIA-Linux-x86_64-1.0-8762-pkg2.run
Source0:	nvidia-glx-kmod-data-1.0.8762.tar.bz2	
ExclusiveArch:  i686
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes:	kernel-module-nvidia

%description
This package provides Nvidia hardware accelerated OpenGL support
for Nvidia chipsets from Geforce2, Quadro4 or newer.


# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
# To understand the magic better or to debug it, uncomment this :
#%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
for kvariant in %{kvariants} ; do
%ifarch %{ix86}
    cp -a nvidiapkg-x86 _kmod_build_$kvariant
%else
    cp -a nvidiapkg-x64 _kmod_build_$kvariant
%endif
done


%build
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant/usr/src/nv/
    ln -s -f Makefile.kbuild Makefile
    make SYSSRC="${ksrc}" module
    popd
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    install -D -m 0644 _kmod_build_$kvariant/usr/src/nv/nvidia.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/nvidia.ko
done
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*

%clean
%{__rm} -rf %{buildroot}


%changelog
* Mon Jul 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.8762-4
- version update, Kernel 2.6.17-1
* Fri Jul 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.8756-4
- Kernel 2.6.17-1
* Sat May 13 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.8756-3
- Kernel 2.6.16-5
* Wed May 10 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.8756-2
- Kernel 2.6.16-4
* Tue Apr 18 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.8756-1
- Initial Release with new kmod helper
